Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class ConsoleSplashScreen

    java.lang.Object
      de.grogra.util.ConsoleSplashScreen

All Implemented Interfaces:
  SplashScreen

    public class ConsoleSplashScreen

extends java.lang.Object
implements SplashScreen

Constructor Summary
`ConsoleSplashScreen()`

Method Summary
`void` | `close()`
`void` | `init(java.lang.String title, java.net.URL background, java.net.URL foreground, java.net.URL logo, java.awt.Rectangle barBounds, java.net.URL barLeft, java.net.URL barRight, java.awt.Point textLocation, java.awt.Font textFont, java.awt.Color textColor, boolean versionInfo, I18NBundle mainI18n)`
`void` | `setInitializationProgress(float progress, java.lang.String text)`
`void` | `show()`
`void` | `toFront()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleSplashScreen

    public ConsoleSplashScreen()

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `SplashScreen`

### init

    public void init(java.lang.String title,
                     java.net.URL background,
                     java.net.URL foreground,
                     java.net.URL logo,
                     java.awt.Rectangle barBounds,
                     java.net.URL barLeft,
                     java.net.URL barRight,
                     java.awt.Point textLocation,
                     java.awt.Font textFont,
                     java.awt.Color textColor,
                     boolean versionInfo,
                     I18NBundle mainI18n)

  Specified by:
    `init` in interface `SplashScreen`

### setInitializationProgress

    public void setInitializationProgress(float progress,
                                          java.lang.String text)

  Specified by:
    `setInitializationProgress` in interface `SplashScreen`

### show

    public void show()

  Specified by:
    `show` in interface `SplashScreen`

### toFront

    public void toFront()

  Specified by:
    `toFront` in interface `SplashScreen`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD